Ubuntu

Jaunty Alpha 5: Usb stick (flash drive) does not pop up on the Gnome desktop

Reported by Asmo Koskinen on 2009-02-28
6
Affects Status Importance Assigned to Milestone
ltsp (Ubuntu)
High
Unassigned

Bug Description

I have made fresh installation of Ubuntu 9.04 Alternate (i386) Alpha 5. Everything else works (sound, Vinagre), but usb stick (flash drive) does not pop up on the Gnome desktop. Very same hardware works fine with Ubuntu 8.04.2 Alternate (i386).

There are files as attachment about dmesg- and ps ax -commands for both server and client (chroot).

To me this bug is very same as this fixed one:

https://bugs.launchpad.net/ltsp/+bug/273147

Best Regards Asmo Koskinen.

Related branches

Asmo Koskinen (asmok) wrote :
Asmo Koskinen (asmok) wrote :

Here is mount for chroot when usb stick is in:

root@ltsp200:~# mount
rootfs on / type rootfs (rw)
none on /sys type sysfs (rw,nosuid,nodev,noexec)
none on /proc type proc (rw,nosuid,nodev,noexec)
udev on /dev type tmpfs (rw,mode=755)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
tmpfs on /cow type tmpfs (rw)
/dev/nbd0 on /rofs type squashfs (ro)
aufs on / type aufs (rw,si=17279cfb,xino=/cow/.aufs.xino,br:/cow=rw:/rofs=ro)
tmpfs on /cow type tmpfs (rw)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=755)
varrun on /var/run type tmpfs (rw,nosuid,mode=755)
varlock on /var/lock type tmpfs (rw,nosuid,nodev,noexec)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,nosuid,noexec,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev)
192.168.1.101:/home/user-ltsp5 on /home/user-ltsp5 type fuse.sshfs (rw,nosuid,nodev,user_id=0,group_id=0,allow_other,max_read=65536)
root@ltsp200:~#

And here is mount for server when usb stick is in:

admin-ltsp5@ubuntu-ltsp5:~$ mount
/dev/sdb3 on / type ext4 (rw,relatime,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
varrun on /var/run type tmpfs (rw,nosuid,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
lrm on /lib/modules/2.6.28-8-generic/volatile type tmpfs (rw,mode=755)
securityfs on /sys/kernel/security type securityfs (rw)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,noexec,nosuid,nodev)
gvfs-fuse-daemon on /home/user-ltsp5/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=user-ltsp5)
gvfs-fuse-daemon on /home/admin-ltsp5/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=admin-ltsp5)
/dev/sdc1 on /media/disk type vfat (rw,nosuid,nodev,uhelper=hal,shortname=mixed,uid=1000,utf8,umask=077,flush)
admin-ltsp5@ubuntu-ltsp5:~$

Best Regards Asmo Koskinen.

Oliver Grawert (ogra) wrote :

these are the currently used rules, installed as /lib/udev/rules.d/80-ltspfsd.rules by the ltspfsd package

# udev rules for ltspfs, usually installed into:
# /etc/udev/rules.d/ or /lib/udev/rules.d (for newer versions of udev)

# legacy floppy drives:
ACTION=="add", KERNEL=="fd[0-9]", RUN+="ltspfs_entry add %k auto"

# USB floppy drives:
ACTION=="add", SUBSYSTEM=="block", KERNEL!="fd[0-9]", ENV{ID_TYPE}=="floppy", ATTRS{removable}=="1", RUN+="ltspfs_entry add %k auto"

# other drives:
ACTION=="add", SUBSYSTEM=="block", ENV{ID_TYPE}!="floppy", RUN+="ltspfs_entry add %k"

# device removals:
ACTION=="remove", SUBSYSTEM=="block", RUN+="ltspfs_entry remove %k"

Oliver Grawert (ogra) wrote :

can you try running:

udevadm monitor -e

on a client tty while you plug in the usb key so we can see what exactly happens ?

also the output of running "udevadm test" would be intresting to see if there are probs with the rules file itself.

Asmo Koskinen (asmok) wrote :

Here is a test - usb stick is in:

root@ltsp200:~# udevadm test
run_command: calling: test
udevadm_test: version 139
syspath parameter missing
root@ltsp200:~#

root@ltsp200:~# udevadm monitor -e

Then I put usb stick in.

Output is as attachment, much longer: udevadm_monitor-e.txt

Best Regards Asmo Koskinen.

Oliver Grawert (ogra) wrote :

oh, sorry that should have been:

udevadm test /dev

(it needs teh devicepath)

Asmo Koskinen (asmok) wrote :
Download full text (3.4 KiB)

I believe this USB stick is /dev/sdb, but

root@ltsp200:~# udevadm test /dev/sdb
run_command: calling: test
udevadm_test: version 139
This program is for debugging only, it does not run any program,
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.

parse_file: reading '/lib/udev/rules.d/40-alsa.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-ia64.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-infiniband.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-isdn.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-pilot-links.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-ppc.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-xserver-xorg-input-wacom.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-zaptel.rules' as rules file
parse_file: reading '/lib/udev/rules.d/45-fuse.rules' as rules file
parse_file: reading '/lib/udev/rules.d/50-firmware.rules' as rules file
parse_file: reading '/lib/udev/rules.d/50-udev-default.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-cdrom_id.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-input.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-serial.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-storage-tape.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-storage.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-v4l.rules' as rules file
parse_file: reading '/lib/udev/rules.d/61-persistent-storage-edd.rules' as rules file
parse_file: reading '/lib/udev/rules.d/64-device-mapper.rules' as rules file
parse_file: reading '/lib/udev/rules.d/65-dmsetup.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-cd.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-net.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-cd-aliases-generator.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-persistent-net-generator.rules' as rules file
parse_file: reading '/lib/udev/rules.d/79-fstab_import.rules' as rules file
parse_file: reading '/lib/udev/rules.d/80-drivers.rules' as rules file
parse_file: reading '/lib/udev/rules.d/80-ltspfsd.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-alsa-utils.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-hdparm.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-hwclock.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-ifupdown.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-regulatory.rules' as rules file
parse_file: reading '/lib/udev/rules.d/90-hal.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-udev-late.rules' as rules file
udev_rules_new: rules use 15924 bytes tokens (1327 * 12 bytes), 10383 bytes buffer
udev_rules_new: temporary index used 11540 bytes (577 * 20 bytes)
unable to open device '/sys/dev/sdb'
root@ltsp200:~#

Then I found this:

http://linux.derkeiler.com/Mailing-Lists/Debian/2008-11/msg01398.html

So I try this one.
...

Read more...

Asmo Koskinen (asmok) wrote :

80-ltspfsd.rules is this one in my system.

root@ltsp200:/lib/udev/rules.d# ls -al 80-ltspfsd.rules
-rw-r--r-- 1 root root 532 2009-02-18 23:25 80-ltspfsd.rules
root@ltsp200:/lib/udev/rules.d#

root@ltsp200:/lib/udev/rules.d# cat 80-ltspfsd.rules
# udev rules for Debian systems, usually installed into:
# /etc/udev/rules.d/z60_ltspfsd.rules

# legacy floppy drives:
ACTION=="add", KERNEL=="fd[0-9]", RUN+="ltspfs_entry add %k auto"

# USB floppy drives:
ACTION=="add", SUBSYSTEM=="block", KERNEL!="fd[0-9]", ENV{ID_TYPE}=="floppy", ATTRS{removable}=="1", RUN+="ltspfs_entry add %k auto"

# other drives:
ACTION=="add", SUBSYSTEM=="block", ENV{ID_TYPE}!="floppy", RUN+="ltspfs_entry add %k"

# device removals:
ACTION=="remove", SUBSYSTEM=="block", RUN+="ltspfs_entry remove %k"
root@ltsp200:/lib/udev/rules.d#

Best Regards Asmo Koskinen.

Oliver Grawert (ogra) wrote :

yes, your log shows that udev does the right thing here and calls ltspfs_entry addas it should, probably the environment of udev changed and it doesnt hand over the LOCALDEV variable to ltspfs_entry. (the rules are identical apart from teh comment line)

Asmo Koskinen (asmok) wrote :

Here is one more.

root@ltsp200:~# udevadm test /dev/block/8:16

Output is as attachment: udevadm_test_dev-block-8:16.txt

Best Regards Asmo Koskinen.

Oliver Grawert (ogra) wrote :

hmm, lookin at the logs i dont see your partition being used in udev at all, how is that usb key fromatted ?

Oliver Grawert (ogra) wrote :

please attach the output of fdisk -l for the usb key you used for all your tests

Oliver Grawert (ogra) wrote :

it doesnt look like you used the partitioned usb key thats reported in dmesg for any of the testing (note that ltspfs doesnt support unpartitioned usb keys (and never did so))

Asmo Koskinen (asmok) wrote :

OK. This is another one usb stick - no pop up icon.

root@ltsp200:~# fdisk -l /dev/sdb

Disk /dev/sdb: 512 MB, 512753664 bytes
56 heads, 32 sectors/track, 558 cylinders
Units = cylinders of 1792 * 512 = 917504 bytes
Disk identifier: 0x425ab3ca

   Device Boot Start End Blocks Id System
/dev/sdb1 * 1 559 500592 6 FAT16
Partition 1 has different physical/logical endings:
     phys=(838, 55, 32) logical=(558, 39, 32)
root@ltsp200:~#

root@ltsp200:~# udevadm test $(udevadm info --query=path --name /dev/sdb) | grep -E 'get_name|symlink'

root@ltsp200:~# udevadm test /dev/block/8:16

Output as attachment file: udevadm_test_dev_sdb.txt

And I can mount this one inside chroot like this way.

root@ltsp200:~# mkdir usb
root@ltsp200:~# mount -t vfat /dev/sdb1 /root/usb
root@ltsp200:~# mount
rootfs on / type rootfs (rw)
none on /sys type sysfs (rw,nosuid,nodev,noexec)
none on /proc type proc (rw,nosuid,nodev,noexec)
udev on /dev type tmpfs (rw,mode=755)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
tmpfs on /cow type tmpfs (rw)
/dev/nbd0 on /rofs type squashfs (ro)
aufs on / type aufs (rw,si=a8f385e1,xino=/cow/.aufs.xino,br:/cow=rw:/rofs=ro)
tmpfs on /cow type tmpfs (rw)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=755)
varrun on /var/run type tmpfs (rw,nosuid,mode=755)
varlock on /var/lock type tmpfs (rw,nosuid,nodev,noexec)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,nosuid,noexec,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev)
192.168.1.102:/home/user-ltsp5 on /home/user-ltsp5 type fuse.sshfs (rw,nosuid,nodev,user_id=0,group_id=0,allow_other,max_read=65536)
/dev/sdb1 on /root/usb type vfat (rw,fmask=0022,dmask=0022,codepage=cp437,iocharset=iso8859-1)
root@ltsp200:~# ls -al /root/usb
total 4760
drwxr-xr-x 7 root root 16384 1970-01-01 02:00 .
drwx------ 4 root root 120 2009-03-02 21:27 ..
-rwxr-xr-x 1 root root 3501613 2009-02-14 18:38 Messu_20090215.odp
-rwxr-xr-x 1 root root 1305521 2009-02-14 18:41 Messu_20090215.pdf
drwxr-xr-x 4 root root 8192 2009-02-14 18:37 .Trash-1000
drwxr-xr-x 4 root root 8192 2008-06-21 22:45 .Trash-1001
drwxr-xr-x 4 root root 8192 2008-08-13 15:22 .Trash-1002
drwxr-xr-x 4 root root 8192 2008-11-19 16:20 .Trash-1003
drwxr-xr-x 4 root root 8192 2008-06-04 11:32 .Trash-1004
root@ltsp200:~#

Best Regards Asmo Koskinen.

Oliver Grawert (ogra) wrote :

can you run the udevadm test command with /dev/sdb1 instead of /dev/sdb ?

Asmo Koskinen (asmok) wrote :

And here is one more. I gparted 8 GB usb stick as a fat32. No pop up icon.

root@ltsp200:~# fdisk -l /dev/sdc

Disk /dev/sdc: 8213 MB, 8213305856 bytes
255 heads, 63 sectors/track, 998 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x00074fa0

   Device Boot Start End Blocks Id System
/dev/sdc1 1 998 8016403+ b W95 FAT32
root@ltsp200:~#

root@ltsp200:~# udevadm test $(udevadm info --query=path --name /dev/sdc) | grep -E 'get_name|symlink'

root@ltsp200:~# udevadm test /dev/block/8:32

Output as attachment file: udevadm_test_dev_sdc.txt

Best Regards Asmo Koskinen.

Asmo Koskinen (asmok) wrote :
Download full text (6.0 KiB)

No for both usb sticks: /dev/sdb1 or /dev/sdc1

root@ltsp200:~# udevadm test /dev/sdc1
run_command: calling: test
udevadm_test: version 139
This program is for debugging only, it does not run any program,
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.

parse_file: reading '/lib/udev/rules.d/40-alsa.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-ia64.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-infiniband.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-isdn.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-pilot-links.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-ppc.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-xserver-xorg-input-wacom.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-zaptel.rules' as rules file
parse_file: reading '/lib/udev/rules.d/45-fuse.rules' as rules file
parse_file: reading '/lib/udev/rules.d/50-firmware.rules' as rules file
parse_file: reading '/lib/udev/rules.d/50-udev-default.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-cdrom_id.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-input.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-serial.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-storage-tape.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-storage.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-v4l.rules' as rules file
parse_file: reading '/lib/udev/rules.d/61-persistent-storage-edd.rules' as rules file
parse_file: reading '/lib/udev/rules.d/64-device-mapper.rules' as rules file
parse_file: reading '/lib/udev/rules.d/65-dmsetup.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-cd.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-net.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-cd-aliases-generator.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-persistent-net-generator.rules' as rules file
parse_file: reading '/lib/udev/rules.d/79-fstab_import.rules' as rules file
parse_file: reading '/lib/udev/rules.d/80-drivers.rules' as rules file
parse_file: reading '/lib/udev/rules.d/80-ltspfsd.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-alsa-utils.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-hdparm.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-hwclock.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-ifupdown.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-regulatory.rules' as rules file
parse_file: reading '/lib/udev/rules.d/90-hal.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-udev-late.rules' as rules file
udev_rules_new: rules use 15924 bytes tokens (1327 * 12 bytes), 10383 bytes buffer
udev_rules_new: temporary index used 11540 bytes (577 * 20 bytes)
unable to open device '/sys/dev/sdc1'
root@ltsp200:~# udevadm test /dev/sdb1
run_command: calling: test
udevadm_test: version 139
This program is for debugging...

Read more...

Asmo Koskinen (asmok) wrote :

One more thing. I copied two files from 512 MB stick to the 8 GB stick on the another computer, not in server. Now thin client see that 8 GB stick as /dev/sdb1 - it was /dev/sdc1 last time?

root@ltsp200:~# fdisk -l /dev/sdb

Disk /dev/sdb: 8213 MB, 8213305856 bytes
255 heads, 63 sectors/track, 998 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x00074fa0

   Device Boot Start End Blocks Id System
/dev/sdb1 1 998 8016403+ b W95 FAT32
root@ltsp200:~#

I can mount that in chroot anyway.

root@ltsp200:~# mount
rootfs on / type rootfs (rw)
none on /sys type sysfs (rw,nosuid,nodev,noexec)
none on /proc type proc (rw,nosuid,nodev,noexec)
udev on /dev type tmpfs (rw,mode=755)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
tmpfs on /cow type tmpfs (rw)
/dev/nbd0 on /rofs type squashfs (ro)
aufs on / type aufs (rw,si=a8f385e1,xino=/cow/.aufs.xino,br:/cow=rw:/rofs=ro)
tmpfs on /cow type tmpfs (rw)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=755)
varrun on /var/run type tmpfs (rw,nosuid,mode=755)
varlock on /var/lock type tmpfs (rw,nosuid,nodev,noexec)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,nosuid,noexec,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev)
192.168.1.102:/home/user-ltsp5 on /home/user-ltsp5 type fuse.sshfs (rw,nosuid,nodev,user_id=0,group_id=0,allow_other,max_read=65536)
/dev/sdb1 on /root/usb type vfat (rw,fmask=0022,dmask=0022,codepage=cp437,iocharset=iso8859-1)
root@ltsp200:~#

root@ltsp200:~# ls -al /root/usb
total 4700
drwxr-xr-x 2 root root 4096 1970-01-01 02:00 .
drwx------ 4 root root 120 2009-03-02 21:27 ..
-rwxr-xr-x 1 root root 3501613 2009-02-14 18:38 Messu_20090215.odp
-rwxr-xr-x 1 root root 1305521 2009-02-14 18:41 Messu_20090215.pdf
root@ltsp200:~#

Best Regards Asmo Koskinen.

Stéphane Graber (stgraber) wrote :

23:42 < stgraber> root@ltsp1192:/lib/udev/rules.d# /lib/udev/ltspfs_entry add /dev/sdc
23:42 < stgraber> export: 259: /dev/disk/by-id/usb-Generic_USB_SD_Reader_058F312D81B-0:0: bad variable name

This is caused by this line in /lib/udev/ltspfs_entry
    export $($udevinfo -qenv -n ${DEVICENAME})

That returns a line with several arguments separated by spaces making the export to fail.
Replacing by:
    export $($udevinfo -qenv -n ${DEVICENAME} | grep -v DEVLINKS)

Fixes the issue and the stick correctly gets detected and configured on the thin client.
The signal is then sent to the application server which mounts the stick correctly in /media/<user>/usbdisk-sdc

Though it doesn't display on the user's desktop probably because of something missing in gnome.

Oliver, do you have any idea what we're missing there ? ltspfs seems to work just fine and I can access the content of the usbkey but gnome doesn't seem to detect it ...

Changed in ltsp:
importance: Undecided → High
status: New → Triaged
Bobby McGee (iaskedalice09) wrote :

I'm having a similar problem in alpha six. I can't access the content (says it doesn't mount) and I can't get it on the desktop.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bobby McGee wrote:
> I'm having a similar problem in alpha six. I can't access the content
> (says it doesn't mount) and I can't get it on the desktop.
>

Something must be wrong with your USB stick or your setup.
I installed alpha-6 from the Alternate CD-Rom, then once installed
booted a thin client and then plugged an USB stick, this one correctly
showed up on the desktop, unplugging it made it disappear as expected.

Stéphane
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEUEARECAAYFAkm7+KkACgkQjxyfqkjBhuzxGACggma4CT9H/gANxwv7PDgU1YAw
qdIAlRcyXL6dsYKl4pqr9/hHjZLl0mI=
=p1RH
-----END PGP SIGNATURE-----

Stéphane Graber (stgraber) wrote :

Please retry with a clean installation of alpha-6 using the LTSP option of the alternate cd-rom.
As after 2 different installations (one i386 and one amd64) I haven't been able to reproduce the issue, I'm marking the bug as incomplete waiting further information or confirmation that the bug is now closed following the fix I uploaded in ltspfs short before alpha-6.

Changed in ltsp:
status: Triaged → Incomplete
Asmo Koskinen (asmok) wrote :

@Stéphane - Well done!!! It works now to me, too. Thank you.

This was fresh install (one nic) with NO updates. I just fixed /etc/ltsp/dhcpd.conf and added a user for a thin client. Nothing else.

Ubuntu Alternate Alpha 6 i386 + HP Mini 2133 as a thin client. I have screenshot here:
http://www.arkki.info/howto/Wiki/LTSP5/Jaunty-A6-i386.png

I think this bug is fixed.

Best Regards Asmo Koskinen.

Stéphane Graber (stgraber) wrote :

Good to know it's now fixed.
Closing the bug as fix released.

Changed in ltsp (Ubuntu):
status: Incomplete → Fix Released
Bobby McGee (iaskedalice09) wrote :

Asmo, still having problems.

What lines did you add? Thx.

Asmo Koskinen (asmok) wrote :

@Bobby - just nothing. It was fresh Alpha 6 installation. As Oliver says, usb stick have to be formatted.

Best Regards Asmo Koskinen.

Bobby McGee (iaskedalice09) wrote :

I just fixed /etc/ltsp/dhcpd.conf and added a user for a thin client. Nothing else.

*googles format USB stick*

Oliver Grawert (ogra) wrote :

that a device you want to use needs to be formatted with any kind of filesystem should be clear indeed ...

the important part is that the device needs to be *partitioned* ...

some windows applications format usb keys directly without creating a partition table, if your device shows up as /dev/sda instead of /dev/sdaX (where X is a number) in the output of dmesg after plugging it in, then it has no partition table. i would recommend using something like gparted to partition and format such an usb key.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers